Last updated: September 23, 2026
Update External DB Directory
Update External DB Directory.
Request
PUT
https://superadminuser.miniorange.in/services/api/idps/v1/database/:uuidAuthentication headers (required on every request)
- Customer-Key
- Super Admin ID for the actor account.
- Timestamp
- Milliseconds since epoch (e.g. Date.now()).
- Authorization
- SHA-512 of superAdminId + timestamp + apiKey.
- X-Target-Customer-Id
- Customer tenant the Super Admin is acting on.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| uuid | String | Required | Path parameter |
| directoryName | String | Optional | |
| host | String | Optional | |
| port | Number | Optional | |
| database | String | Optional | |
| username | String | Optional | |
| password | String | Optional |
Request body
{
"directoryName": "My DB Directory Updated",
"host": "db2.example.com",
"port": 3306,
"database": "users_db",
"username": "dbuser",
"password": "dbpass"
}
No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.